<?php
if (@ file_exists(TEMPLATEPATH . '/glll_blogroll.php')) {
	require_once ('../../wp-config.php');
} else {
	require_once ('../../../wp-config.php');
}

$glll_blogroll_action = (string) $_GET["blogroll"];

if ($glll_blogroll_action == "link") {
	glll_blogroll_link_request($table_prefix);
}
if ($glll_blogroll_action == "link_category") {
	glll_blogroll_link_category_request($table_prefix);
}
if ($glll_blogroll_action == "category_link") {
	glll_blogroll_category_link_request($table_prefix);
}
if ($glll_blogroll_action == "login") {
	glll_blogroll_login();
}
if ($glll_blogroll_action == "submit_edit") {
	glll_blogroll_submit_edit($table_prefix);
}
if ($glll_blogroll_action == "link_login") {
	glll_blogroll_link_login($table_prefix);
}
/*
link_category
*/
function glll_blogroll_link_category_request($table_prefix) {
	global $wpdb;
	$sql = "SELECT *, " . $table_prefix . "terms.name, " . $table_prefix . "terms.slug FROM `" . $table_prefix . "term_taxonomy` LEFT OUTER JOIN " . $table_prefix . "terms ON (" . $table_prefix . "term_taxonomy.term_id = " . $table_prefix . "terms.term_id) WHERE `taxonomy` = 'link_category' and `count` != 0";
	$content = $wpdb->get_results($sql);
	global $glll_link_category;
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
	echo "<root>";
	foreach ($content as $glll_link_category)
		: echo "<link_category>";
	echo "<term_taxonomy_id>";
	echo $glll_link_category->term_taxonomy_id;
	echo "</term_taxonomy_id>";
	echo "<term_id>";
	echo $glll_link_category->term_id;
	echo "</term_id>";
	echo "<description>";
	echo $glll_link_category->description;
	echo "</description>";
	echo "<count>";
	echo $glll_link_category->count;
	echo "</count>";
	echo "<name>";
	echo $glll_link_category->name;
	echo "</name>";
	echo "<slug>";
	echo $glll_link_category->slug;
	echo "</slug>";
	echo "</link_category>";
	endforeach;
	echo "</root>";
}
/*
link
*/
function glll_blogroll_link_request($table_prefix) {
	global $wpdb;
	$sql = "SELECT * FROM `" . $table_prefix . "links` WHERE `link_visible` = 'y'";
	$content = $wpdb->get_results($sql);
	global $glll_blogroll;
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
	echo "<root>";
	foreach ($content as $glll_blogroll)
		: echo "<blogroll>";
	echo "<link_id>";
	echo $glll_blogroll->link_id;
	echo "</link_id>";
	echo "<link_url>";
	echo $glll_blogroll->link_url;
	echo "</link_url>";
	echo "<link_owner>";
	echo $glll_blogroll->link_owner;
	echo "</link_owner>";
	echo "<link_name>";
	echo $glll_blogroll->link_name;
	echo "</link_name>";
	echo "<link_image>";
	echo $glll_blogroll->link_image;
	echo "</link_image>";
	echo "<link_category>";
	echo $glll_blogroll->link_category;
	echo "</link_category>";
	echo "<link_description>";
	echo $glll_blogroll->link_description;
	echo "</link_description>";
	echo "<link_rel>";
	echo $glll_blogroll->link_rel;
	echo "</link_rel>";
	echo "<link_notes>";
	echo $glll_blogroll->link_notes;
	echo "</link_notes>";
	echo "<link_rss>";
	echo $glll_blogroll->link_rss;
	echo "</link_rss>";
	echo "</blogroll>";
	endforeach;
	echo "</root>";

}
/*
category_link
*/
function glll_blogroll_category_link_request($table_prefix) {
	global $wpdb;
	$term_taxonomy_id = (int) $_GET["term_taxonomy_id"];
	$sql = "SELECT * FROM `" . $table_prefix . "term_relationships` WHERE `term_taxonomy_id` = " . $term_taxonomy_id;
	$content = $wpdb->get_results($sql);
	global $link_blogroll;
	echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
	echo "<root>";
	foreach ($content as $link_blogroll)
		: echo "<linkid>";
	echo $link_blogroll->object_id;
	echo "</linkid>";
	endforeach;
	echo "</root>";
}

function glll_blogroll_login() {
	// If the user is logged in
	global $user_ID;
	//get_currentuserinfo();
	if ($user_ID) {
		//$comment_author = addslashes($user_identity);
		echo $user_ID;
	} else {
		echo "NoLogged";
	}
}

function glll_blogroll_submit_edit($table_prefix) {
	// If the user is logged in
	global $user_ID, $wpdb;
	//get_currentuserinfo();
	if ($user_ID) {
		$linkname = (string) $_POST["linkname"];
		$linkurl = (string) $_POST["linkurl"];
		$linkrss = (string) $_POST["linkrss"];
		$linkimages = (string) $_POST["linkimages"];
		$linkdescription = (string) $_POST["linkdescription"];
		$linkid = (string) $_POST["id"];
		if (!empty ($linkid)) {
			if (!function_exists(wp_update_link)) {
				require_once ("../../../wp-admin/includes/bookmark.php");
			}
			$link = array (
				'link_id' => $linkid,
				'link_url' => $linkurl,
				'link_name' => $linkname,
				'link_description' => $linkdescription,
				'link_rss' => $linkrss,
				'link_image' => $linkimages
			);
			$linkcallback = wp_update_link($link);
			echo $linkcallback;
		}
	} else {
		echo "NoLogged";
	}
}
function glll_blogroll_link_login($table_prefix) {
	global $wpdb;
	$linkname = (string) $_POST["linkname"];
	$linkurl = (string) $_POST["linkurl"];
	$linkrss = (string) $_POST["linkrss"];
	$linkimages = (string) $_POST["linkimages"];
	$linkdescription = (string) $_POST["linkdescription"];
	if (empty ($linkname)) {
		echo "noname";
	} else
		if (empty ($linkurl)) {
			echo "nourl";
		} else {
			if (!function_exists(wp_insert_link)) {
				require_once ("../../../wp-admin/includes/bookmark.php");
			}
			$link = array (
				'link_url' => $linkurl,
				'link_owner' => 1,
				'link_visible' => "N",
				'link_name' => $linkname,
				'link_description' => $linkdescription,
				'link_rss' => $linkrss,
				'link_image' => $linkimages
			);
			$linkcallback = wp_insert_link($link);
			echo $linkcallback;
		}
}
?>